<script setup>
import HelloWorld from './components/HelloWorld.vue'
import BookData from './components/BookData.vue'
import PlotlyEnergie from './components/PlotlyEnergie.vue';
import PlotlyBooks from './components/PlotlyBooks.vue';
</script>

<template>
  <header>  
    <div>    
      <PlotlyEnergie/>
    </div>   
  </header>

  <main class="wrapper">      
  </main>
</template>

<style scoped>
header {
  line-height: 1.5;
}

.logo {
  display: block;
  margin: 0 auto 2rem;
}

@media (min-width: 1024px) {
  header {
    display: flex;
    place-items: center;
    padding-right: calc(var(--section-gap) / 2);
  }

  .logo {
    margin: 0 2rem 0 0;
  }

  header .wrapper {
    display: flex;
    place-items: flex-start;
    flex-wrap: wrap;
  }
}
</style>
